<%
  const siteTitle = data.site && data.site.title || data.pkg.name
  const subTitle = data.site && data.site.subTitle || data.pkg.version && `version ${data.pkg.version}`
  const navigation = data.site && data.site.navigation
%>

<div class="page-header--mobile">
  <a href="/" class="page-logo">
    <span class="sr-only"><%= siteTitle %> Home</span>
    <img alt="" src="~@seamly/doc-site/assets/logos/seamly.svg" />
  </a>
  <div class="page-nav--mobile">
    <a href="#tableofcontents" class="to-toc">Table of contents</a>
    <a href="#nav" class="to-navigation">Menu</a>
  </div>
</div>

<header class="page-header">
  <nav class="page-nav" id="nav" aria-label="Main navigation">
    <a href="/" class="page-logo">
      <span class="sr-only"><%= siteTitle %> Home</span>
      <img alt="" src="~@seamly/doc-site/assets/logos/seamly.svg" />
    </a>

    <div class="page-client">
      <h1 class="client__name"><%= siteTitle %></h1>
      <% if(subTitle) { %>
        <span class="client__version"><%= subTitle %></span>
      <% } %>
    </div>

    <% const navItem = (item) => {%>
      <li>
        <% if(item.url) { %>
          <a href="<%= item.url %>"><%= item.title %></a>
        <% } else { %>
          <span><%= item.title %></span>
        <% } %>
        <% if(item.children) { %>
          <ul class="nav__list">
            <% item.children.forEach(navItem) %>
          </ul>
        <% } %>
      </li>
    <% } %>

    <% if(navigation) { %>
      <ul class="nav">
        <% navigation.forEach(navItem) %>
      </ul>
    <% } %>
  </nav>
</header>
